MS Office reports "Access Denied" when saving to samba share

Bug #337037 reported by James on 2009-03-03
6
Affects Status Importance Assigned to Milestone
samba
Fix Released
Medium
samba (Ubuntu)
Critical
Unassigned

Bug Description

Binary package hint: samba

Description: Ubuntu jaunty (development branch)
Release: 9.04

samba:
  Installed: 2:3.3.0-4ubuntu2
  Candidate: 2:3.3.0-4ubuntu2
  Version table:
 *** 2:3.3.0-4ubuntu2 0
        500 http://us.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Trying to save an excel (or word) file to a samba share gives the error:

"Access Denied. Contact your administrator"

I think I've found info about this here:
http://www.nabble.com/Can%27t-modify-ms-word-files-with-samba-3.3-td22190005.html

Related branches

Thierry Carrez (ttx) wrote :

Thanks for reporting this bug ! I think the thread on samba-general you pointed to is on the right track. Just to make sure, could you please confirm that :
- the recent 3.3.1 samba update in Jaunty still has the problem
- this is a regression in Jaunty (the 3.2.x from intrepid or the 3.0.x in hardy worked ok)

James (morris-570) wrote :

1)
The new update:
jmorris@ed:~$ apt-cache policy samba
samba:
  Installed: (none)
  Candidate: 2:3.3.1-1ubuntu1
  Version table:
     2:3.3.1-1ubuntu1 0
        500 http://us.archive.ubuntu.com jaunty/main Packages

Does not fix the problem.

2)
I'm almost certain that this is a regression, as I have been saving excel files from windows for quite some time. It was working in Intrepid and Hardy. I could confirm, but I couldn't downgrade my samba to a point where it would function correctly where I could test.

Ante Karamatić (ivoks) wrote :

This happend couple of time to me. Every single time it was caused by crashed Excel or by forcing a lock by another Excel - one user opens the file and writes in it, while other users can only read it.

Could you paste output of smbstatus for that file, when you get access denied?

Changed in samba:
importance: Undecided → Medium
status: New → Incomplete
James (morris-570) wrote :

This happens in Excel and Word, neither has crashed, this has been working before, and I am the only user using this, so I don't believe any other users can lock these files because there are no other users on the system. You can duplicate the problem by simply opening a new Word file and try to save it to a samba share.

The smbstatus is below. Note that the pdf that is being saved "P112.Week10Guide W09.pdf" does save correctly, but the MS products will not. I have to save them to the desktop and drag them to the samba folder with windows explorer. In this case they do save correctly.

Pid Uid DenyMode Access R/W Oplock SharePath Name Time
--------------------------------------------------------------------------------------------------
14632 1000 DENY_NONE 0x20089 RDONLY NONE /home/jmorris docs/Ochem/Apps Wed Mar 11 13:25:07 2009
14632 1000 DENY_NONE 0x100081 RDONLY NONE /home/jmorris . Wed Mar 11 13:24:53 2009
14632 1000 DENY_WRITE 0x20089 RDONLY EXCLUSIVE+BATCH /home/jmorris P112.Week10Guide W09.pdf Thu Mar 12 16:11:02 2009
14632 1000 DENY_NONE 0x20089 RDONLY NONE /home/jmorris analysis/notebook/Analysis/GammaGammaPi0Pi0 Wed Mar 11 13:24:37 2009
14632 1000 DENY_NONE 0x100081 RDONLY NONE /home/jmorris docs/Ochem/Apps/sinai Thu Mar 12 14:59:40 2009

Ante Karamatić (ivoks) wrote :

I'm all for moving this bug to High. We basically have non functional file sharing service.

Changed in samba:
status: Incomplete → Confirmed
Paul Dufresne (paulduf) wrote :

Fixed upstream in 3.3.2 http://www.samba.org/samba/history/samba-3.3.2.html:
* Fix saving of files on Samba share using MS Office 2007 (bug #6160).
https://bugzilla.samba.org/show_bug.cgi?id=6160

Changed in samba:
status: Unknown → Fix Released
Changed in samba:
milestone: none → ubuntu-9.04-beta
Thierry Carrez (ttx) on 2009-03-13
Changed in samba:
importance: Medium → Critical
status: Confirmed → Triaged
Thierry Carrez (ttx) on 2009-03-13
Changed in samba:
assignee: nobody → ttx
Thierry Carrez (ttx) wrote :

This should fix it.

I have no means to test this so could you confirm that installing the samba package from my PPA (3.3.1-1ubuntu2~ppa1, currently building) fixes it ?

Thierry Carrez (ttx) on 2009-03-13
Changed in samba:
status: Triaged → In Progress
Thierry Carrez (ttx) wrote :

Should rather be handled as a merge to 3.3.2.

Changed in samba:
assignee: ttx → nobody
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:3.3.2-1ubuntu1

---------------
samba (2:3.3.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/patches/VERSION.patch:
      - setup SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    * debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    * debian/control:
      - Make libwbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb.
    * debian/rules:
      - enable "native" PIE hardening.
    * Add ufw integration:
      - Created debian/samba.ufw profile.
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/contorl: have samba sugguest ufw.

samba (2:3.3.2-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. Closes: #519626
    - mounts with -o guest will now automatically try to connect anonymously.
      Closes: #423971.
    - fix for brokenness when using 'force group'. Closes: #517760.
    - fix for saving files on Samba shares using MS Office 2007.
      LP: #337037.
  * Re-fix slave links for manual pages in samba-common. Closes: #517204.

  [ Steve Langasek ]
  * Add missing debhelper token to libpam-smbpass.prerm.

 -- Chuck Short <email address hidden> Mon, 16 Mar 2009 06:05:47 +0000

Changed in samba:
status: Triaged → Fix Released
Changed in samba:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.